Page MenuHomePhabricator

E-mails from Qualtrics to OTRS not delivered
Closed, DeclinedPublic

Description

We are using Qualtrics for gathering feedback from volunteers. Qualtrics then sends an e-mail message to foerderbarometer@wikimedia.de which in turn is configured to deliver e-mails to

  1. a Google group,
  2. me, and
  3. wm-de@wikimedia.org

Delivery from Qualtrics to the first two recipients works, and when sending a normal e-mail message to foerderbarometer@wikimedia.de, it gets queued correctly in OTRS, but Qualtrics to OTRS itself doesn't work.

Please investigate why OTRS might drop or reject e-mails from Qualtrics.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2017, 2:59 PM

Is this still an issue ? if yes, could you please supply us with a message's sender and timestamp so that we can debug this further? A message's full headers would also work quite fine (and probably even better).

It's still an issue. Here's an email:

Delivered-To: masin.al-dujaili@gapps.wikimedia.de
Received: by 10.12.148.27 with SMTP id h27csp2174687qvh;
        Mon, 18 Sep 2017 03:21:27 -0700 (PDT)
X-Received: by 10.223.169.247 with SMTP id b110mr25793726wrd.31.1505730087336;
        Mon, 18 Sep 2017 03:21:27 -0700 (PDT)
ARC-Seal: i=1; a=rsa-sha256; t=1505730087; cv=none;
        d=google.com; s=arc-20160816;
        b=WkgXC3hWMKE3O2sSEZRerLVnmbwnfmKu9rQ60nVTGES6Evx7BCeBIScIJ9RCKeVNKb
         lVYrSBB9u5BTOc6A8HfZ8/gUzIBzW2XIGmFki0tEkcznn0bQOzQ0x+H136eIJnvxv7Sq
         TSPzVqFAXEcfSIzR6v5ErueVw2bRrmNM82ggb46HpjoVLiMW8jQaUzEySDK/KyD9EnmO
         K6ht43ImKnBZHfbfWYA+MbJJba+8d5FbLtVCjPoFvKBfCeaJf8cdSS96UJUFKdfzyukc
         zWnPiw5d0zTQKJ2oy3eMZ8xmfwCMWosucNyNx4zZTMuAJIwFny0Q3PjkU803vrQ8DXIN
         11OA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=google.com; s=arc-20160816;
        h=list-unsubscribe:mime-version:subject:message-id:to:reply-to:sender
         :from:date:dkim-signature:arc-authentication-results;
        bh=k/mDnbk1MAaRayhxrhNU/1bgGWYkikM7OwgslUqa+UM=;
        b=mxZBiSOjNdhf6KTbZ1WKVDfp8C1t2Xa5MjsdGG1LRBP+LftJqqRY089gfOvHTrwE5/
         LIkMTKSUeMp0AUU2GysynqLQgrZqYSbW07aG/3wBEUcWW3KuByHTgXXLWVZudHZ7wjju
         rEhnu8B8BVQXB3psIGmH8Esm8ssus2yljgE3fpehD1OROco4pDY6o1+UYlsJI2qusDKl
         rInCXY5sTW2GySkGaO3j38Q2G7X2iqOeMHO2dzmdOvCPl7V6cZC5fltbfWb9Gzz0qdcu
         rJ9Rmu/7MKqJgza3n5dxaA8PF1qRfr/GBTVDhf5SsxymVbrUjN+PDuLE5Uyr0PUwa8Nk
         jxjg==
ARC-Authentication-Results: i=1; mx.google.com;
       dkim=pass header.i=@wikimedia.org header.s=google header.b=rMw+agkX;
       spf=pass (google.com: domain of qualtrics@wikimedia.org designates 209.85.216.225 as permitted sender) smtp.mailfrom=qualtrics@wikimedia.org
Return-Path: <qualtrics@wikimedia.org>
Received: from mx01.ispgateway.de (mx01.ispgateway.de. [80.67.18.26])
        by mx.google.com with ESMTPS id j17si2068624wrc.17.2017.09.18.03.21.27
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Mon, 18 Sep 2017 03:21:27 -0700 (PDT)
Received-SPF: pass (google.com: domain of qualtrics@wikimedia.org designates 209.85.216.225 as permitted sender) client-ip=209.85.216.225;
Authentication-Results: mx.google.com;
       dkim=pass header.i=@wikimedia.org header.s=google header.b=rMw+agkX;
       spf=pass (google.com: domain of qualtrics@wikimedia.org designates 209.85.216.225 as permitted sender) smtp.mailfrom=qualtrics@wikimedia.org
X-Envelope-to: foerderbarometer@wikimedia.de
Received: from [209.85.216.225] (helo=mail-qt0-f225.google.com)
	by mx01.ispgateway.de with esmtps (TLSv1.2:ECDHE-RSA-AES128-GCM-SHA256:128)
	(Exim 4.89)
	(envelope-from <qualtrics@wikimedia.org>)
	id 1dttB6-0004RZ-Qq
	for foerderbarometer@wikimedia.de; Mon, 18 Sep 2017 12:21:25 +0200
Received: by mail-qt0-f225.google.com with SMTP id t46so8917qtj.4
        for <foerderbarometer@wikimedia.de>; Mon, 18 Sep 2017 03:21:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=wikimedia.org; s=google;
        h=date:from:sender:reply-to:to:message-id:subject:mime-version
         :list-unsubscribe;
        bh=k/mDnbk1MAaRayhxrhNU/1bgGWYkikM7OwgslUqa+UM=;
        b=rMw+agkXS/YCeStcZBx0t9puzYUB1ShNHYesd1sE9Q/gcHQcTBSz/5SAlDYGnAKev7
         FbPAR2DP7Lg7uq5/nD8IzXqtTWSetxKiKftOmE0eY7xeEqQfNbXvUNVi2qM7gAysZbXP
         EsZ+tMs0Dd19XBgV9/8Sy6r/xfi9bMRIL0Mis=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:date:from:sender:reply-to:to:message-id:subject
         :mime-version:list-unsubscribe;
        bh=k/mDnbk1MAaRayhxrhNU/1bgGWYkikM7OwgslUqa+UM=;
        b=KnW5vtMFIzsXRL5i+OOxp7uWIOEN36r46hTWZk/CD89ASUAT5lyxK3h3UgfxO9/YcI
         PEuF12EZYEh17xVnCKN/ECUxonMpkvYCXQJ1hiBhmr9sAUm5vHWUwuW/4aguYjU1bLBQ
         oOG5FQg0VeP6ZO0w1yJ2Db94H9CNVxof+Nq9w5qNBw0JSWh/p0+lClkZ1E8yL3YrQ7zP
         4pAD4FOzRJ2u7up8zfGAFjpfTQQKMHCM/JlRhGjbQ9uBytls7vj+dwo77iqzPUNx3eIg
         YM3DsVMGhf8NbddK6BQeGT1RR0uGaLPix9GE2oSn19saQcZQm8gyOAb1KgSOakV9ZhYF
         Bmyw==
X-Gm-Message-State: AHPjjUiTJxkzbNRNwm8KuOV0AbBMzNrETqLjV7oIgsa4BiA19XtynPpa
	zNLMxL7IhKEyiA3kuBey8XfBZrk6tnoRBai0Ix8c
X-Google-Smtp-Source: AOwi7QDpkdDAN9JIpnfLIy46KjeFhJA7kwIUE6zQiUDY7dCFyTB0UYZcq4CFSt+6NTi4xxl416zGDDQCTxUK
X-Received: by 10.200.26.65 with SMTP id q1mr43426843qtk.186.1505730082922;
        Mon, 18 Sep 2017 03:21:22 -0700 (PDT)
Received: from jwm6-app.ca1.qprod.net (mailer1.ca1.qemailserver.com. [162.247.219.50])
        by smtp-relay.gmail.com with ESMTPS id r80sm1163488qkl.10.2017.09.18.03.21.22
        for <foerderbarometer@wikimedia.de>
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Mon, 18 Sep 2017 03:21:22 -0700 (PDT)
X-Relaying-Domain: wikimedia.org
Date: Mon, 18 Sep 2017 04:21:22 -0600 (MDT)
From: =?UTF-8?Q?F=C3=B6rderbarometer?= <qualtrics@wikimedia.org>
Sender: =?UTF-8?Q?F=C3=B6rderbarometer?= <qualtrics@wikimedia.org>
Reply-To: =?UTF-8?Q?F=C3=B6rderbarometer?= <trigger@qemailserver.com>
To:  <foerderbarometer@wikimedia.de>
Message-ID: <1891562296.16031565.1505730082888.JavaMail.default@jwm6-app.ca1.qprod.net>
Subject: =?UTF-8?Q?Feedback_aus_dem_F=C3=B6rderbarometer?=
MIME-Version: 1.0
Content-Type: multipart/mixed; 
	boundary="----=_Part_16031562_535671957.1505730082402"
X-QUMID: UR_1ZFm5t8rKuZKMRL-EMD_eaCahF94j6Vx0Bn
List-Unsubscribe: <mailto:abuse@qemailserver.com>
X-Received-SPF: pass ( mx01.ispgateway.de: domain of wikimedia.org designates 209.85.216.225 as permitted sender )
X-DKIM: DKIM passed: (address=qualtrics@wikimedia.org domain=wikimedia.org), signature is good.
X-Spam-Checker-Version: SpamAssassin 3.4.0 (2014-02-07) on
	spamfilter12.ispgateway.de
X-Spam-Level: 
X-Spam-Status: No, hits=0.0 required=9999.0 tests=BAYES_50 autolearn=disabled
	version=3.4.0
X-Spam-CMAETAG: v=2.2 cv=K5NSJ2eI c=1 sm=1 tr=0
	a=K6KCS5CzivlEulowsBnQiQ==:17 a=2JCJgTwv5E4A:10 a=OS0IopxsahcA:10
	a=ZZnuYtJkoWoA:10 a=hWG4LpSCAAAA:8 a=e15o2GI2EP6jwgnJw6AA:9
	a=QEXdDO2ut3YA:10 a=JNTBtlkuQ6AA:10 a=DxA0TsuiUfWjwpwE:21
	a=_W_S_7VecoQA:10
X-Spam-CMAECATEGORY: 
X-Spam-CMAESUBCATEGORY: 
X-Spam-CMAESCORE: 

------=_Part_16031562_535671957.1505730082402
Content-Type: multipart/alternative; 
	boundary="----=_Part_16031563_588015283.1505730082402"

------=_Part_16031563_588015283.1505730082402
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

Hallo,
Ihr habt Feedback aus dem F=C3=B6rderbarometer bekommen!=C2=A0
Der PID-Code lautet:=C2=A0I2962704927

Hier sind die Antworten des Teilnehmenden:


Recipient Data:
Time Finished: 2017-09-18 12:21:20 CEST
IP: 91.64.116.77
ResponseID: R_24f0kgdjr8ZjDNv
Link to View Results: Click Here
<https://wikimedia.qualtrics.com/CP/Report.php?SID=3DSV_9zQEOvBHFAod5cN&R=
=3DR_24f0kgdjr8ZjDNv>
URL to View Results:
https://wikimedia.qualtrics.com/CP/Report.php?SID=3DSV_9zQEOvBHFAod5cN&R=3D=
R_24f0kgdjr8ZjDNv

Response Summary:

Welche Art der Unterst=C3=BCtzung/ F=C3=B6rderung hast du zuletzt von Wikim=
edia
Deutschland in Anspruch gen...
=C2=A0=C2=A0=C2=A0Visitenkarten / E-Mail-Adresse

Wie zufrieden warst du insgesamt mit der Durchf=C3=BChrung dieser Unterst=
=C3=BCtzung/
F=C3=B6rderung durch WMDE?...
=C2=A0=C2=A0=C2=A010 sehr zufrieden

Was hat im Rahmen der Unterst=C3=BCtzung/ F=C3=B6rderung insgesamt gut funk=
tioniert? Wo
siehst du noch Verb...
=C2=A0=C2=A0=C2=A0gute Kommunikation

Als wie hilfreich sch=C3=A4tzt du die Unterst=C3=BCtzung in Form von ...
=C2=A0=C2=A0=C2=A07

M=C3=B6chtest du, dass dein Feedback direkt an das Team Ideenf=C3=B6rderung=
 bei WMDE
weitergeleitet wird?=C2=A0B...
=C2=A0=C2=A0=C2=A0Ja, bitte direkt weiterleiten

Embedded Data
=C2=A0=C2=A0=C2=A0 PID =C2=A0=C2=A0=C2=A0I2962704927
------=_Part_16031563_588015283.1505730082402
Content-Type: multipart/related; 
	boundary="----=_Part_16031564_2061513548.1505730082402"

------=_Part_16031564_2061513548.1505730082402
Content-Type: text/html; charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html>
 <head></head>=20
 <body>
   Hallo,=20
  <br> Ihr habt Feedback aus dem F=C3=B6rderbarometer bekommen!&nbsp;=20
  <br> Der PID-Code lautet:&nbsp;I2962704927=20
  <br>=20
  <br> Hier sind die Antworten des Teilnehmenden:=20
  <br>=20
  <br>=20
  <hr>=20
  <br>=20
  <b>Recipient Data: </b>=20
  <br>=20
  <b>Time Finished:</b> 2017-09-18 12:21:20 CEST=20
  <br>=20
  <b>IP:</b> 91.64.116.77=20
  <br>=20
  <b>ResponseID:</b> R_24f0kgdjr8ZjDNv=20
  <br>=20
  <b>Link to View Results:</b>=20
  <a href=3D"https://wikimedia.qualtrics.com/CP/Report.php?SID=3DSV_9zQEOvB=
HFAod5cN&amp;R=3DR_24f0kgdjr8ZjDNv">Click Here</a>=20
  <br>=20
  <b>URL to View Results:</b> https://wikimedia.qualtrics.com/CP/Report.php=
?SID=3DSV_9zQEOvBHFAod5cN&amp;R=3DR_24f0kgdjr8ZjDNv=20
  <br>=20
  <hr>=20
  <br>=20
  <b>Response Summary:</b>=20
  <br>=20
  <br> Welche Art der Unterst=C3=BCtzung/ F=C3=B6rderung hast du zuletzt vo=
n Wikimedia Deutschland in Anspruch gen...=20
  <br>&nbsp;&nbsp;&nbsp;Visitenkarten / E-Mail-Adresse=20
  <br>=20
  <br>Wie zufrieden warst du insgesamt mit der Durchf=C3=BChrung dieser Unt=
erst=C3=BCtzung/ F=C3=B6rderung durch WMDE?...=20
  <br>&nbsp;&nbsp;&nbsp;10 sehr zufrieden=20
  <br>=20
  <br>Was hat im Rahmen der Unterst=C3=BCtzung/ F=C3=B6rderung insgesamt gu=
t funktioniert? Wo siehst du noch Verb...=20
  <br>&nbsp;&nbsp;&nbsp;gute Kommunikation=20
  <br>=20
  <br>Als wie hilfreich sch=C3=A4tzt du die Unterst=C3=BCtzung in Form von =
...=20
  <br>&nbsp;&nbsp;&nbsp;7=20
  <br>=20
  <br>M=C3=B6chtest du, dass dein Feedback direkt an das Team Ideenf=C3=B6r=
derung bei WMDE weitergeleitet wird?&nbsp;B...=20
  <br>&nbsp;&nbsp;&nbsp;Ja, bitte direkt weiterleiten=20
  <br>=20
  <br>Embedded Data=20
  <br> &nbsp;&nbsp;&nbsp; PID &nbsp;&nbsp;&nbsp;I2962704927=20
  <br>=20
  <br> =20
 </body>
</html>
------=_Part_16031564_2061513548.1505730082402--

------=_Part_16031563_588015283.1505730082402--

------=_Part_16031562_535671957.1505730082402--

Ah, here we go

2017-09-18 10:21:28 H=mx01.ispgateway.de [80.67.18.26]:41310 I=[208.80.154.76]:25 X=TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256 F=<qualtrics@wikimedia.org> rejected RCPT <wm-de@wikimedia.org>: Sender verify failed

So what happens is that mx01.ispgateway.de is trying to use qualtrics@wikimedia.org as the sender in the email to wm-de@wikimedia.org. However there is no qualtrics@wikimedia.org address that should be able to receive email and thus it fails the sender verify check. T164424#3237223 is quite enlightening and points it out, note however that it never points out that any MTA that does sender verify checks (like we do) would reject the email.

I don't think there's anything that can be done on the OTRS side (in fact messages never reach OTRS) nor that we would ever disable sender verification. Also we can not really set an exception for a single host on the internet that pretends to send emails from wikimedia.org as in this case, for all the reasons pointed out in the task mentioned above. The only thing I see possible is that whatever mechanism forwards these emails to the 3 addresses mentioned in the task description is altered in some way (I have no idea what that mechanism is currently so I can offer no advice on what that would be) to specify some other sender.

akosiaris triaged this task as Low priority.Sep 19 2017, 4:50 PM
akosiaris added a project: Operations.
akosiaris moved this task from Backlog (high priority) to Backlog on the OTRS board.
akosiaris closed this task as Declined.Oct 11 2017, 11:28 AM

I am gonna close this as declined as I don't think there is something we can do about it. Feel free to re-open with suggestions though!